#include <iostream>

using namespace std;

int main()
{
    long long n,m,res=0;
    cin>>n>>m;
        if(n==1)
    {
        cout<<m;
        return 0;
    }
    if(m==1)
    {
        cout<<n;
        return 0;
    }
    res+=n*2+(m-2)*2+(((m-2)*(n-2))/2);
    cout <<res<< endl;
    return 0;
}